# Overview

Welcome to the user documentation for `calng`.
This is a work in progress.
If you are having issues with your pipeline right now, check out the [troubleshooting](troubleshooting.md) page.

To learn more about `calng`, peruse the other pages listed in the table of contents.
The page on [devices](devices.md) will give an overview of devices involved in `calng` pipelines and [data rates](data-rates.md) and [output formats](output-formats.md) are useful to consider when planning an online analysis setup for an experiment.
Please do reach out to your data analysis contact and / or the calibration team well in advance of experiments which require novel data flows and processing.

The correction addons and frame selection features are described in the [extensions](extensions.md) page.

For convenience, the "schemas" directory contains the Karabo schemas of some key device classes relevant in `calng` pipelines.

Other useful links:

- [Data analysis user documentation](https://rtd.xfel.eu/docs/data-analysis-user-documentation/en/latest/index.html)
- [calng wiki](https://git.xfel.eu/karaboDevices/calng/-/wikis/home) (technical reference for developers)
- [calng repository](https://git.xfel.eu/karaboDevices/calng) (implementation, for developers)


In-house online analysis tools (also mentioned in [user documentation](https://rtd.xfel.eu/docs/data-analysis-user-documentation/en/latest/online.html)):

- [EXtra-foam](https://extra-foam.readthedocs.io/en/latest/index.html)
- [metropc](https://desy.de/~schmidtp/metropc-docs/)
