from karabo.middlelayer import (
    AccessMode,
    Assignment,
    Slot,
    State,
    String,
    getDevice,
    get_array_data,
    sleep,
)
from ..corrections import LpdCorrection
from .. import base_condition, utils


class LpdCondition(base_condition.ConditionBase):
    someCorrectionDeviceId = String(
        displayedName="Correction device",
        description="Correction devices expose the cell table as a property. Specify "
        "the name of one of the correction devices in the pipeline to allow monitoring "
        "of the memoryCellOrder parameter.",
        assignment=Assignment.MANDATORY,
        accessMode=AccessMode.INITONLY,
    )

    @property
    def keys_to_get(self):
        return {
            self.someCorrectionDeviceId.value: [
                ("dataFormat.cellId", "memoryCellOrder", utils.cell_table_to_string)
            ]
        }
